import { UploadProfileLogoUseCase } from "@/contexts/profile/application";
import { IProfileContext } from "../../../Profile.context";
import { registerProfileRepository } from "../../../Profile.repository";
import { UploadProfileLogoController } from "./UploadProfileLogo.controller";

export const createUploadProfileLogoController = (context: IProfileContext) => {
  registerProfileRepository(context);

  return new UploadProfileLogoController(
    {
      useCase: new UploadProfileLogoUseCase(context),
    },
    context
  );
};
